com.beaglebuddy.mpeg.enums

## Enum VBRMethod

- java.lang.Object
- - java.lang.Enum<VBRMethod>
  - - com.beaglebuddy.mpeg.enums.VBRMethod

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VBRMethod>

      public enum VBRMethod
      extends java.lang.Enum<VBRMethod>

  The list of bit rate encoding methods supported by the LAME encoder.
  See Also:
    `LAMEHeader`, LAME Header Format

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABR` average bit rate encoding
    `ABR_2_PASS` average bit rate 2 pass encoding method
    `CBR` constant bit rate encoding
    `CBR_2_PASS` constant bit rate 2 pass encoding method
    `RESERVED` reserved
    `UNKNOWN` Unknown encoding method
    `UNUSED_1` unused
    `UNUSED_2` unused
    `UNUSED_3` unused
    `UNUSED_4` unused
    `UNUSED_5` unused
    `UNUSED_6` unused
    `VBR_1` variabel bit rate encoding method 1
    `VBR_2` variabel bit rate encoding method 2
    `VBR_3` variabel bit rate encoding method 3
    `VBR_4` variabel bit rate encoding method 4

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` gets the name of the MPEG layer.
    `java.lang.String` | `toString()` gets a string representation of the LAME VBR method enum.
    `static VBRMethod` | `valueOf(int method)` converts an integral value to its corresponding LAME VBR method enum.
    `static VBRMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VBRMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final VBRMethod UNKNOWN

      Unknown encoding method

    - #### CBR

          public static final VBRMethod CBR

      constant bit rate encoding

    - #### ABR

          public static final VBRMethod ABR

      average bit rate encoding

    - #### VBR_1

          public static final VBRMethod VBR_1

      variabel bit rate encoding method 1

    - #### VBR_2

          public static final VBRMethod VBR_2

      variabel bit rate encoding method 2

    - #### VBR_3

          public static final VBRMethod VBR_3

      variabel bit rate encoding method 3

    - #### VBR_4

          public static final VBRMethod VBR_4

      variabel bit rate encoding method 4

    - #### UNUSED_1

          public static final VBRMethod UNUSED_1

      unused

    - #### CBR_2_PASS

          public static final VBRMethod CBR_2_PASS

      constant bit rate 2 pass encoding method

    - #### ABR_2_PASS

          public static final VBRMethod ABR_2_PASS

      average bit rate 2 pass encoding method

    - #### UNUSED_2

          public static final VBRMethod UNUSED_2

      unused

    - #### UNUSED_3

          public static final VBRMethod UNUSED_3

      unused

    - #### UNUSED_4

          public static final VBRMethod UNUSED_4

      unused

    - #### UNUSED_5

          public static final VBRMethod UNUSED_5

      unused

    - #### UNUSED_6

          public static final VBRMethod UNUSED_6

      unused

    - #### RESERVED

          public static final VBRMethod RESERVED

      reserved

  - ### Method Detail

    - #### values

          public static VBRMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VBRMethod c : VBRMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VBRMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      gets the name of the MPEG layer.
      Returns:
        the name of the MPEG layer.

    - #### valueOf

          public static VBRMethod valueOf(int method)
                                   throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding LAME VBR method enum.
      Parameters:
        `method` - integral value to be converted to an LAME VBR method enum.
      Returns:
        the LAME VBR method enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid LAME VBR method.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the LAME VBR method enum.
      Overrides:
        `toString` in class `java.lang.Enum<VBRMethod>`
      Returns:
        a string representation of the LAME VBR method enum.